libudev-devel-241-8.1.mga7.i586.rpm


Advertisement

Description

libudev-devel - udev library development files

Property Value
Distribution Mageia 7
Repository Mageia Core Updates i586
Package filename libudev-devel-241-8.1.mga7.i586.rpm
Package name libudev-devel
Package version 241
Package release 8.1.mga7
Package architecture i586
Package type rpm
Category Development/C
Homepage http://www.freedesktop.org/wiki/Software/systemd
License GPLv2+
Maintainer -
Download size 12.97 KB
Installed size 9.98 KB
This package provides the development files for the udev shared library.

Alternatives

Package Version Architecture Repository
libudev-devel-241-8.2.mga7.i586.rpm 241 i586 Mageia Core Updates
libudev-devel-241-8.mga7.i586.rpm 241 i586 Mageia Core
libudev-devel - - -

Requires

Name Value
libudev1 = 241-8.1.mga7
pkgconfig -

Provides

Name Value
devel(libudev) -
libudev-devel = 241-8.1.mga7
libudev-devel(x86-32) = 241-8.1.mga7
pkgconfig(libudev) = 241
pkgconfig(udev) = 241
udev-devel = 241-8.1.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libudev-devel-241-8.1.mga7.i586.rpm
Source Package systemd-241-8.1.mga7.src.rpm

Install Howto

  1. Enable the repository in Software Management
  2. Install libudev-devel rpm package:
    # dnf install libudev-devel

Files

Path
/usr/include/libudev.h
/usr/lib/libudev.so
/usr/lib/pkgconfig/libudev.pc
/usr/share/pkgconfig/udev.pc

Changelog

2019-07-08 - tmb <tmb> 241-8.1.mga7
+ Revision: 1419682
- random-util: eat up bad RDRAND values seen on AMD CPUs
- udevd: fix a reversed conditional on global property set (mga#25027)
2019-04-27 - tmb <tmb> 241-8.mga7
+ Revision: 1395748
- add fixes from upstream v241 stable branch
2019-04-21 - tmb <tmb> 241-7.mga7
+ Revision: 1394519
- disable NDEBUG
2019-04-21 - tmb <tmb> 241-6.mga7
+ Revision: 1394518
- fstab-generator: use DefaultDependencies=no for /sysroot mounts
- nss-resolve: return error properly
- nss-mymachines: return NO_RECOVERY instead of NO_DATA when we fail
to do D-Bus and similar
- nss-resolve: list more errors as cause for fallback
2019-04-18 - umeabot <umeabot> 241-5.mga7
+ Revision: 1392933
- Rebuild with meson 0.50.1
2019-04-10 - tmb <tmb> 241-4.mga7
+ Revision: 1388189
- more fixes from upstream v241-stable branch
2019-04-05 - tmb <tmb> 241-3.mga7
+ Revision: 1386046
- add fixes from upstream v241-stable branch
2019-03-18 - tmb <tmb> 241-2.mga7
+ Revision: 1378705
- login: mark nokmsboot fb devices as master-of-seat
- fixes from v241-stable branch
* sd-device: also store properties read from udev database to
sd_device::properties_db
* udev-event: make subst_format_var() always provide null-terminated
string on success
* login: HyperV requires master-of-seat to be set
* login: mark nomodeset fb devices as master-of-seat
2019-02-23 - tmb <tmb> 241-1.mga7
+ Revision: 1369554
- rebuild with gcc 8.3.0 final
-  CVE-2019-6454: systemd (PID1) crash with specially crafted D-Bus message
2019-02-14 - tmb <tmb> 241-0.2.mga7
+ Revision: 1367089
- dont ship /sbin/resolvconf

See Also

Package Description
libudev1-241-8.1.mga7.i586.rpm udev library package
libudev1-241-8.2.mga7.i586.rpm udev library package
libunbound-devel-1.9.1-1.1.mga7.i586.rpm Development headers and libraries for Unbound
libunbound8-1.9.1-1.1.mga7.i586.rpm Shared libraries for Unbound
libusbmuxd-1.1.0-0.git20190802.1.mga7.i586.rpm Client library USB multiplex daemon for Apple's iOS devices
libusbmuxd-devel-1.1.0-0.git20190802.1.mga7.i586.rpm Development package for libusbmuxd
libusbmuxd4-1.1.0-0.git20190802.1.mga7.i586.rpm Library to access the usbmuxd daemon
libvdpau-driver-nouveau-19.1.2-1.mga7.i586.rpm VDPAU plugin for nouveau driver
libvdpau-driver-nouveau-19.1.4-1.mga7.i586.rpm VDPAU plugin for nouveau driver
libvdpau-driver-nouveau-19.1.5-2.mga7.i586.rpm VDPAU plugin for nouveau driver
libvdpau-driver-nouveau-19.2.1-1.mga7.i586.rpm VDPAU plugin for nouveau driver
libvdpau-driver-r300-19.1.2-1.mga7.i586.rpm VDPAU plugin for r300 driver
libvdpau-driver-r300-19.1.4-1.mga7.i586.rpm VDPAU plugin for r300 driver
libvdpau-driver-r300-19.1.5-2.mga7.i586.rpm VDPAU plugin for r300 driver
libvdpau-driver-r300-19.2.1-1.mga7.i586.rpm VDPAU plugin for r300 driver
Advertisement
Advertisement